Subject: [manet] comments on draft-rogge-manet-dlep-channel-utilization-00

From: "Velt, R. (Ronald) in 't" <[email-masked]>
Date: Fri, 23 Jul 2021 17:18:27 +0000

Henning, all,

Please find below my comments and questions, as WG participant, on draft-rogge-manet-dlep-channel-utilization-00

Thanks,
Ronald

--

Comments
--------------

  *   The introduction (Section 1) is rather terse. Some words of motivation for this extension could be added. In particular, I would be interested to know the reasoning behind the design decision to provide the router with the 'raw' parameter values of Active Time, Busy Time, Rx and Tx Time, thus leaving it up to the router to calculate channel utilization, instead of letting the modem do the calculation and have it present a single 'cooked' Channel Utilization Ratio value to the router  (by means of a Channel Utilization Ratio Data Item).

  *   Accepting for the moment that there is a good reason to have four 'raw' time parameter Data Items, I think the types of Message in which these Data Items can occur should be specified. Each of the sections (3, 4, 5, 6) defining a Data Item says: "This value is usually interface specific." I read that to mean: "This value is *not* Destination-specific." (If something else was meant, please correct me). I am guessing that these Data Items are intended to be carried in Session Update messages, rather than in Destination Up or Destination Update messages, but would like to see that explicitly stated.

  *   It should be specified whether the time values reported in the {Active, Busy, Rx, Tx} Data Items are cumulative or whether they are reset to zero after reporting.

  *   Section 2 says: "To indicate that the Channel Utilization Extension is to be used, an implementation MUST include the Radio Channel Active and Radio Channel Busy Value in the Extensions Supported Data Item." Is this correct? Why two values for one extension? This also appears to contradict section 8.1 , which mentions a single Extension Type value, named "Radio Channel Utilization".

  *   Section 4 seems to be saying that the local radio's Rx and Tx Time are not included in the Busy Time reported in the Radio Channel Busy Data Item. But whereas the Radio Channel Busy Data Item is mandatory, the Radio Channel Rx Data Item and the Radio Channel Tx Data Item are optional. How can the router accurately calculate the channel utilization in case the modem chooses not to send the Radio Channel Rx and Radio Channel Tx Data Items?

  *   With regard to the structure of this I-D, I would recommend to have a single section named "Radio Channel Data Items" (or similar), with the four Data Item specifications as subsections of this section. (However, that's just a matter of taste and therefore subjective).

Nits
----

Section 1

"dynamic Link Exchange Protocol" => "Dynamic Link Exchange Protocol"

Section 1.1

"NOT RECOMMENDED" is missing

Section 2

2nd para: "The Radio Band Extension Type Value is TBD; see Section TBD." This looks like a copy-paste error from the Radio Band Extension I-D. I would have expected; "The Radio Channel Utilization Extension Type Value is TBD1; see Section 8.1" (per current section numbering)

Section 3

2nd para: "The value in this item must be larger than the values in the other three Data Items this extensions define together." => "The value in this item must be larger than the values in the other three Data Items this extension defines together."

Definition of Active Time field: "Time in nanoseconds since the channel has been active." => "Time in nanoseconds the channel has been active." or "Time in nanoseconds since the channel became active."

Section 4

1st para: "Radio Channel Busy Item is mandatory and contains information how much time the radio channel has been busy but has not been, not including the time in the Channel Rx and Chanel Tx Data Item." Some words appear to be missing from this sentence, just before the comma.

2nd para: "The value in the Channel Active item must be larger than the values in the other three Data Items this extensions define together." => "The value in the Channel Active item must be larger than the values in the other three Data Items this extension defines together." (Also in Section 5, 2nd paragraph and Section 6, 2nd paragraph).

Section 8.2

Table 2: "Radio Channel busy" => "Radio Channel Busy"
This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.